Bug 484171 - ssh doesn't forward dbus
ssh doesn't forward dbus
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
Depends On:
Blocks: 476617 479036 483233
  Show dependency treegraph
Reported: 2009-02-05 01:15 EST by Matthias Clasen
Modified: 2009-09-29 07:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-24 07:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A perl-based prototype (4.24 KB, text/plain)
2009-09-05 12:20 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Matthias Clasen 2009-02-05 01:15:41 EST
See e.g. the thread starting at http://lists.freedesktop.org/archives/dbus/2007-February/007170.html for some discussion.

This bug is meant as a tracker bug to collect issues caused by this.
Comment 1 Tomas Mraz 2009-02-05 10:31:10 EST
I see this is a nice idea but I don't think it is acceptable upstream to add a special forwarding channel for DBus similar to the X forwarding. So if there is an option to reuse the regular TCP/IP forwarding as supported by ssh we should choose this option.
Comment 2 Fedora Admin XMLRPC Client 2009-03-10 05:20:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2009-03-10 06:17:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2009-03-10 06:19:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2009-06-09 07:04:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 6 Lubomir Rintel 2009-08-21 15:17:41 EDT
This is increasingly an issue, since autospawned dbus is no longer sufficient for gnome components as they won't run w/o gconf being present on that bus.

SSH can not currently forward unix-domain sockets and doing that would probably require a change to ssh server. Just plainly forwarding an UNIX-domain socket to TCP port is not viable, since it would be insecure. Is there a possibility other than making the ssh client forwarding the dbus connection via tcp/ip adding an a MAGIC_COOKIE authentication?

By the way, the documentation seems rather incomplete when it comes to specifying address that's a TCP connection with the cookie: http://dbus.freedesktop.org/doc/dbus-specification.html#addresses
Comment 7 Lubomir Rintel 2009-09-05 12:20:19 EDT
Created attachment 359864 [details]
A perl-based prototype

Could it work like this? (Not enough for GConf forwarding, since it still uses a local orbit socket in /tmp).
Comment 8 Jan F. Chadima 2009-09-23 09:24:39 EDT
IMHO: It would be better to make this as a separate package than to integrate this code into openssh.
Comment 9 Christopher Beland 2009-09-24 13:18:16 EDT
Is there another report to which the bugs that this one blocks can be assigned, to track when this will be fixed?
Comment 10 Lubomir Rintel 2009-09-25 03:51:46 EDT
(In reply to comment #9)
> ... track when this will be fixed?  

I thought "WONTFIX" means it won't be fixed.
Comment 11 Matthias Clasen 2009-09-25 08:08:18 EDT
It means that Jan doesn't want to fix it in openssh.
Comment 12 Jan F. Chadima 2009-09-29 07:37:21 EDT
If you have any backend which can be used for this functionality make it a new package in fedora by the package review and so on...

Note You need to log in before you can comment on or make changes to this bug.